# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               jmess
Version:            1.0.1
Release:            1.8
Summary:            Utility to save your Jack Audio Connections
Source:             https://jmess-jack.googlecode.com/files/jmess-%{version}.tar.gz
URL:                https://ccrma.stanford.edu/groups/soundwire/software/jmess/
Group:              Productivity/Multimedia/Sound/Utilities
License:            MIT
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libqt4-devel
BuildRequires:      jack-devel
BuildRequires:      alsa-devel
BuildRequires:      gcc-c++ make pkgconfig

%description
JMess can save an XML file with all the current Jack Audio connections.
This same file can be loaded to connect everything again.
The XML file can also be edited.
It also also has the option to disconnect all the clients.

%prep
%setup -q

%build
pushd src
qmake -spec linux-g++ jmess.pro
%__make %{?_smp_mflags} CXXFLAGS="%{optflags} \$(DEFINES)"
popd

%install
pushd src
%__make \
    STRIP="touch" \
    INSTALL_ROOT="%{buildroot}" \
    install
popd

%__rm "%{buildroot}%{_bindir}/jmess_debug"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc TODO.txt
%{_bindir}/jmess

%changelog
* Sat Apr 21 2012 pascal.bleser@opensuse.org
- initial version (1.0.1)
